<?php

declare(strict_types=1);

namespace Drupal\message_recipient;

/**
 * Defines the collector extender types.
 */
enum CollectorExtenderType: string {

  // Collector extender type identifiers for query alter.
  case QUERY_ALTER = 'query_alter';

  // Collector extender type identifiers for post-collect.
  case POST_COLLECT = 'post_collect';

}
