<?php

declare(strict_types=1);

namespace Drupal\message_recipient;

use Drupal\message\MessageInterface;

/**
 * Interface for message recipients collector.
 */
interface MessageRecipientsCollectorInterface {

  /**
   * Get recipients of a message.
   *
   * @return array
   *   The recipients' array.
   */
  public function getRecipients(MessageInterface $message): array;

}
