<?php

declare(strict_types=1);

namespace Drupal\message_recipient;

use Drupal\Core\Entity\Query\QueryInterface;
use Drupal\message\MessageInterface;

/**
 * Interface for recipients collector instance that uses query.
 */
interface RecipientsCollectorQueryInterface {

  /**
   * Builds a query.
   *
   * @return \Drupal\Core\Entity\Query\QueryInterface
   *   The query object.
   */
  public function query(MessageInterface $message): QueryInterface;

}
